heap_allocator< T >::handler_type

## Public Member Functions

| handler_type ()
| ~handler_type ()
unsigned char * | raw_allocate (size_type size)

## Public Attributes

std::list< std::vector< unsigned char > > | heap
size_type | heap_block_size
size_type | heap_block_last_free
size_type | reference_count

## Static Public Attributes

static const size_type | heap_block_size_init = 512*sizeof(T)

## Detailed Description

### template<typename T>
struct rheolef::heap_allocator< T >::handler_type

Definition at line 181 of file heap_allocator.h.

## Constructor & Destructor Documentation

## handler_type()

handler_type

Definition at line 197 of file heap_allocator.h.

## ~handler_type()

~handler_type

Definition at line 222 of file heap_allocator.h.

## Member Function Documentation

## raw_allocate()

unsigned char * raw_allocate | ( | size_type | size | ) |

Definition at line 208 of file heap_allocator.h.

## Member Data Documentation

## heap

std::list<std::vector<unsigned char> > heap

Definition at line 189 of file heap_allocator.h.

## heap_block_size

size_type heap_block_size

Definition at line 190 of file heap_allocator.h.

## heap_block_last_free

size_type heap_block_last_free

Definition at line 191 of file heap_allocator.h.

## reference_count

size_type reference_count

Definition at line 192 of file heap_allocator.h.

## heap_block_size_init

const size_type heap_block_size_init = 512*sizeof(T)

static

Definition at line 193 of file heap_allocator.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-FQTnje/rheolef-7.1/util/lib/heap_allocator.h